This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876594 - pirut Exception Occured SSLError No such file or directoy
pirut Exception Occured SSLError No such file or directoy
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.7
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 09:47 EST by Dale
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 12:37:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Saved Bug Report (3.53 KB, text/plain)
2012-11-14 09:47 EST, Dale
no flags Details

  None (edit)
Description Dale 2012-11-14 09:47:47 EST
Created attachment 644910 [details]
Saved Bug Report

Description of problem:
While attempting to open Add/Remove Software and/or Software Update  


Version-Release number of selected component (if applicable): 5.7


Component: pirut
Summary: TB3e179b97 Context.py:77:load_cert:SSLError: No such file or directory

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 490, in ?
    main()
  File "/usr/sbin/pirut", line 486, in main
    pm.run()
  File "/usr/sbin/pirut", line 412, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 428, in doRefresh
    self.doRefreshRepos(self._onlyrepo)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 344, in doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 308, in reposSetup
    self.doTsSetup()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 86, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 101, in _getTs
    self._getTsInfo(remove_only)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 112, in _getTsInfo
    pkgSack = self.pkgSack
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 662, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 502, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 168, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 226, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1233, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1406, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1398, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1388, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1372, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1208, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 989, in _getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 820, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 506, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 501, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 486, in _setupGrab
    ssl_context = self._getSslContext())
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 650, in _getSslContext
    sslCtx.load_cert(self.sslclientcert, self.sslclientkey)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Context.py", line 77, in load_cert
    m2.ssl_ctx_use_privkey(self.ctx, keyfile)
SSLError: No such file or directory

Local variables in innermost frame:
callback: <function passphrase_callback at 0xbe6f2a8>
self: <M2Crypto.SSL.Context.Context instance at 0xc2b82d8>
certfile: /etc/pki/entitlement/8a85f983393062aa013931292e58001f.pem
keyfile: /etc/pki/entitlement/8a85f983393062aa013931292e58001f-key.pem
Comment 1 Zdeněk Pavlas 2013-04-04 12:37:35 EDT
The /etc/pki/entitlement/8a85f983393062aa013931292e58001f-key.pem file probably does not exist, or is not readable.

Note You need to log in before you can comment on or make changes to this bug.